<?php
/*
Plugin Name: Xibo Exclude Jetpack
Plugin URI: http://www.rinaldo.net/xibo-exclude-jetpack
Description: Filter out Xibo DSDevices from Jetpack Site Stats
Version: 0.2
Author: Bery Rinaldo
Author URI: http://www.rinaldo.net
License: GPL2
*/

/******************************************************************************
 * Credit to Justin Stern, the author of "Jetpack Site Stats Exclude Plugin"
 * http://www.foxrunsoftware.net/articles/wordpress/exclude-your-traffic-from-jetpack-site-stats/
 ******************************************************************************/

if (!class_exists( 'Xibo_Exclude_Jetpack')) {
  class Xibo_Exclude_Jetpack {
    public function __construct() {
      add_action('template_redirect',array(&$this,'stats_template_redirect'));
    }
/**
 * Remove the WordPress Stats call if the user agent is DSDevices/Xibo
*/
    public function stats_template_redirect() {
      if ((isset($_SERVER['HTTP_USER_AGENT']) &&
          strpos($_SERVER['HTTP_USER_AGENT'],'DSCS9 Build/MHC19J'))) {
        remove_action('wp_footer','stats_footer',101);
        remove_action('wp_head','stats_add_shutdown_action');
      }
    }
  }
  new Xibo_Exclude_Jetpack();
}
